aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gnome-disk-utility
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-12-19 12:31:08 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-12-19 12:31:08 +0000
commit489e86dea5684dcddeec609fe5c4e82fa254f0b2 (patch)
treebdc47950f5a6e9d5e9b969207309faf6480b3993 /testing/gnome-disk-utility
parent0228b724aeb99b7997afd34cfe62fcdb4b8bb177 (diff)
downloadaports-489e86dea5684dcddeec609fe5c4e82fa254f0b2.tar.gz
aports-489e86dea5684dcddeec609fe5c4e82fa254f0b2.tar.bz2
aports-489e86dea5684dcddeec609fe5c4e82fa254f0b2.tar.xz
testing/gnome-disk-utility: new aport
GNOME libraries and applications for dealing with storage devices http://www.gnome.org
Diffstat (limited to 'testing/gnome-disk-utility')
-rw-r--r--testing/gnome-disk-utility/APKBUILD60
-rw-r--r--testing/gnome-disk-utility/exp2.patch16
-rw-r--r--testing/gnome-disk-utility/fix-freeze.patch32
3 files changed, 108 insertions, 0 deletions
diff --git a/testing/gnome-disk-utility/APKBUILD b/testing/gnome-disk-utility/APKBUILD
new file mode 100644
index 0000000000..636eace772
--- /dev/null
+++ b/testing/gnome-disk-utility/APKBUILD
@@ -0,0 +1,60 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gnome-disk-utility
+pkgver=2.32.0
+pkgrel=0
+pkgdesc="GNOME libraries and applications for dealing with storage devices"
+url="http://www.gnome.org"
+arch="all"
+license="GPL"
+depends=""
+makedepends="gnome-doc-utils intltool dbus-glib-dev libunique-dev avahi-dev
+ udisks-dev libnotify-dev hicolor-icon-theme libatasmart-dev
+ rarian-dev libxslt"
+install=
+subpackages="$pkgname-dev $pkgname-libs $pkgname-ui-libs:uilibs"
+source="http://ftp.gnome.org/pub/GNOME/sources/gnome-disk-utility/${pkgver%.*}/gnome-disk-utility-$pkgver.tar.bz2
+ fix-freeze.patch
+ exp2.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ patch -Np1 -i "$srcdir/fix-freeze.patch"
+ patch -Np1 -i "$srcdir/exp2.patch"
+}
+
+build ()
+{
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libexecdir=/usr/lib/gnome-disk-utility \
+ --disable-scrollkeeper \
+ --disable-nautilus \
+ --disable-gtk-doc
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+libs() {
+ pkgdesc="Shared libraries used by Palimpsest"
+ mkdir -p "$subpkgdir"/usr/lib \
+ "$subpkgdir"/usr/share
+ mv "$pkgdir"/usr/lib/libgdu.so.* "$subpkgdir"/usr/lib/
+ mv "$pkgdir"/usr/share/icons "$subpkgdir"/usr/share/
+}
+
+uilibs() {
+ pkgdesc="Shared libraries used by Palimpsest"
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/libgdu-gtk.so.* "$subpkgdir"/usr/lib/
+}
+
+md5sums="f0366c8baebca0404d190b2d78f3582d gnome-disk-utility-2.32.0.tar.bz2
+c0161b09b620ef9c3975db400518eb1f fix-freeze.patch
+ac7d749bb6fa2e31bffb1f47822bc22b exp2.patch"
diff --git a/testing/gnome-disk-utility/exp2.patch b/testing/gnome-disk-utility/exp2.patch
new file mode 100644
index 0000000000..4499803628
--- /dev/null
+++ b/testing/gnome-disk-utility/exp2.patch
@@ -0,0 +1,16 @@
+--- ./src/gdu-gtk/gdu-size-widget.c.orig
++++ ./src/gdu-gtk/gdu-size-widget.c
+@@ -564,11 +564,11 @@
+
+ shown_extent = extent / unit_factor;
+
+- increment = (exp10 (floor (log10 (shown_extent))) / 10.0) * unit_factor;
++ increment = (exp2 (floor (log2 (shown_extent))) / 2.0) * unit_factor;
+
+ gtk_range_set_increments (GTK_RANGE (widget->priv->hscale),
+ increment,
+- increment * 10.0);
++ increment * 2.0);
+ }
+
+
diff --git a/testing/gnome-disk-utility/fix-freeze.patch b/testing/gnome-disk-utility/fix-freeze.patch
new file mode 100644
index 0000000000..262748bfb6
--- /dev/null
+++ b/testing/gnome-disk-utility/fix-freeze.patch
@@ -0,0 +1,32 @@
+From 82489b51443e1280dfb9fb251ea2693df1809aec Mon Sep 17 00:00:00 2001
+From: Pascal Terjan <pterjan@mandriva.com>
+Date: Mon, 3 May 2010 14:01:22 +0200
+Subject: [PATCH] Force GduPresentable ids to be UTF-8 (#616198)
+
+GduPresentable created in gdu pool include intheir id some strings
+in local encoding like _("Peripheral Devices"). This patch
+enforces them to be UTF-8.
+
+This fixes a crash of gvfs-gdu-volume-monitor when USB devices are
+available on a non UTF-8 system.
+---
+ src/gdu/gdu-pool.c | 3 +++
+ 1 files changed, 3 insertions(+), 0 deletions(-)
+
+diff --git a/src/gdu/gdu-pool.c b/src/gdu/gdu-pool.c
+index bd5eccf..cf6be53 100644
+--- a/src/gdu/gdu-pool.c
++++ b/src/gdu/gdu-pool.c
+@@ -473,6 +473,9 @@ gdu_pool_class_init (GduPoolClass *klass)
+ g_cclosure_marshal_VOID__OBJECT,
+ G_TYPE_NONE, 1,
+ GDU_TYPE_PRESENTABLE);
++#ifdef HAVE_BIND_TEXTDOMAIN_CODESET
++ bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
++#endif
+ }
+
+ static void
+--
+1.7.1
+